services:
  cache_context.fpc_build:
    class: Drupal\facets_processors_collection\Cache\FpcCacheContext
    argumets:
      type: build
    tags:
      - { name: cache.context }

  cache_context.fpc_sort:
    class: Drupal\facets_processors_collection\Cache\FpcCacheContext
    argumets:
      type: sort
    tags:
      - { name: cache.context }

  cache_context.fpc_post_query:
    class: Drupal\facets_processors_collection\Cache\FpcCacheContext
    argumets:
      type: post_query
    tags:
      - { name: cache.context }

  cache_context.fpc_query_type_plugin:
    class: Drupal\facets_processors_collection\Cache\FpcCacheContext
    argumets:
      type: query_type_plugin
    tags:
      - { name: cache.context }
